Retrieve All Component Metadata
Retrieve metadata of all component types in your Vault.
GET
/api/{version}/metadata/componentsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v24.1/metadata/componentsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"url": "/api/v24.1/metadata/components/Securityprofile",
"name": "Securityprofile",
"class": "metadata",
"abbreviation": "SPR",
"active": true,
"label": "Security Profile",
"label_plural": "Security Profile"
},
{
"url": "/api/v24.1/metadata/components/Tab",
"name": "Tab",
"class": "metadata",
"abbreviation": "TAB",
"active": true,
"label": "Tab",
"label_plural": "Tab",
"vobject": "vof_tab__sys"
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response may include the following for each component type in the currently authenticated Vault: